Bug 841548 - [engine-core] [multiple-storage-domain] failure in move disk operation leads to 'Illegal state'
[engine-core] [multiple-storage-domain] failure in move disk operation leads ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Allon Mureinik
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 07:23 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 11:47 EST (History)
10 users (show)

See Also:
Fixed In Version: SI24.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, rhevm, screen-shots (1.67 MB, application/x-gzip)
2012-07-19 07:23 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-07-19 07:23:20 EDT
Created attachment 599115 [details]
## Logs vdsm, rhevm, screen-shots

Description of problem:
Failed move VM’s disks between storage domains, get status “illegal”

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI10

RHEV-M: rhevm-3.1.0-6.el6ev.noarch
VDSM: vdsm-4.9.6-21.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.1.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64

How reproducible:
This error not reproducible consistent  

Steps to Reproduce:
1. Create 2 or more VM’s
2. On the “Disks” tab, select there disks
3. Move 
 
Actual results:
Some disks get status “illegal”

Expected results:
Succeed move all disks between storage domains

Additional info:
Disk was marked as Illegal, even if it was not corrupted. Engine should add a check for image status.
Comment 1 Allon Mureinik 2012-11-25 11:08:17 EST
should be solved by patch I22c83bdd2e7182be49156c20992c494bcb68915a, originally posted for bug 813279.
Comment 2 Dafna Ron 2012-11-26 02:47:02 EST
verified on si24.4
Comment 3 Itamar Heim 2013-06-11 05:35:13 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 05:35:17 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:50:39 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.